com.sun.source.tree

## Interface SwitchTree

All Superinterfaces:
  StatementTree, Tree

    public interface SwitchTree
    extends StatementTree

A tree node for a 'switch' statement. For example:

       switch ( expression ) {
         cases
       }

Since:
  1.6
See Also:
  "The Java Language Specification, 3rd ed, section 14.11"

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

Methods
`List<? extends CaseTree>` `getCases()`
`ExpressionTree` `getExpression()`

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getExpression

    ExpressionTree getExpression()

#### getCases

    List<? extends CaseTree> getCases()

Copyright © 2005, 2017, Oracle and/or its affiliates. All rights reserved.